Package org.opensaml.soap.wssecurity

# Interface EncodedString

All Superinterfaces:
  `AttributedString`, `AttributeExtensibleXMLObject`, `IdBearing`, `WSSecurityObject`, `XMLObject`, `XSString`

All Known Subinterfaces:
  `BinarySecurityToken`, `KeyIdentifier`, `Nonce`

All Known Implementing Classes:
  `BinarySecurityTokenImpl`, `EncodedStringImpl`, `KeyIdentifierImpl`, `NonceImpl`

public interface EncodedString extends AttributedString
Interface for elements of complex type EncodedString.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENCODING_TYPE_ATTRIB_NAME`
The EncodingType attribute name.
`static final String`
`ENCODING_TYPE_BASE64_BINARY`
The EncodingType attribute value `#Base64Binary`.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncodingType()`
Returns the EncodingType attribute value.
`void`
`setEncodingType(String newEncodingType)`
Sets the EncodingType attribute value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.soap.wssecurity.IdBearing

`getWSUId, setWSUId`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ENCODING_TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String ENCODING_TYPE_ATTRIB_NAME
The EncodingType attribute name.

See Also:
  - Constant Field Values

### ENCODING_TYPE_BASE64_BINARY

@Nonnull @NotEmpty static final String ENCODING_TYPE_BASE64_BINARY
The EncodingType attribute value `#Base64Binary`.

See Also:
  - Constant Field Values

## Method Details

### getEncodingType

@Nullable String getEncodingType()
Returns the EncodingType attribute value.

Returns:
  the EncodingType attribute value.

### setEncodingType

void setEncodingType(@Nullable String newEncodingType)
Sets the EncodingType attribute value.

Parameters:
  `newEncodingType` - the EncodingType attribute value.